git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: David Aguilar <davvid@gmail.com>
To: gitster@pobox.com
Cc: git@vger.kernel.org, charles@hashpling.org,
	markus.heidelberg@web.de, David Aguilar <davvid@gmail.com>
Subject: [PATCH 05/14] difftool: remove the backup file feature
Date: Mon,  6 Apr 2009 01:31:20 -0700	[thread overview]
Message-ID: <1239006689-14695-6-git-send-email-davvid@gmail.com> (raw)
In-Reply-To: <1239006689-14695-5-git-send-email-davvid@gmail.com>

Most users find the backup file feature annoying and there's no
need for it since diff is supposed to be a read-only operation.

Signed-off-by: David Aguilar <davvid@gmail.com>
---
 contrib/difftool/git-difftool-helper |   34 +---------------------------------
 1 files changed, 1 insertions(+), 33 deletions(-)

diff --git a/contrib/difftool/git-difftool-helper b/contrib/difftool/git-difftool-helper
index ef684b6..e74a274 100755
--- a/contrib/difftool/git-difftool-helper
+++ b/contrib/difftool/git-difftool-helper
@@ -9,31 +9,7 @@
 
 # Set GIT_DIFFTOOL_NO_PROMPT to bypass the per-file prompt.
 should_prompt () {
-	! test -n "$GIT_DIFFTOOL_NO_PROMPT"
-}
-
-# Should we keep the backup .orig file?
-keep_backup_mode="$(git config --bool merge.keepBackup || echo true)"
-keep_backup () {
-	test "$keep_backup_mode" = "true"
-}
-
-# This function manages the backup .orig file.
-# A backup $MERGED.orig file is created if changes are detected.
-cleanup_temp_files () {
-	if test -n "$MERGED"; then
-		if keep_backup && test "$MERGED" -nt "$BACKUP"; then
-			test -f "$BACKUP" && mv -- "$BACKUP" "$MERGED.orig"
-		else
-			rm -f -- "$BACKUP"
-		fi
-	fi
-}
-
-# This is called when users Ctrl-C out of git-difftool-helper
-sigint_handler () {
-	cleanup_temp_files
-	exit 1
+	test -z "$GIT_DIFFTOOL_NO_PROMPT"
 }
 
 # This function prepares temporary files and launches the appropriate
@@ -47,12 +23,6 @@ launch_merge_tool () {
 	LOCAL="$2"
 	REMOTE="$3"
 	BASE="$1"
-	ext="$$$(expr "$MERGED" : '.*\(\.[^/]*\)$')"
-	BACKUP="$MERGED.BACKUP.$ext"
-
-	# Create and ensure that we clean up $BACKUP
-	test -f "$MERGED" && cp -- "$MERGED" "$BACKUP"
-	trap sigint_handler INT
 
 	# $LOCAL and $REMOTE are temporary files so prompt
 	# the user with the real $MERGED name before launching $merge_tool.
@@ -120,8 +90,6 @@ launch_merge_tool () {
 		fi
 		;;
 	esac
-
-	cleanup_temp_files
 }
 
 # Verifies that (difftool|mergetool).<tool>.cmd exists
-- 
1.6.2.2.414.g81aa9

  reply	other threads:[~2009-04-06  8:35 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2009-04-06  8:31 git-{merge,diff}tool refactor round three David Aguilar
2009-04-06  8:31 ` [PATCH 01/14] doc/merge-config: list ecmerge as a built-in merge tool David Aguilar
2009-04-06  8:31   ` [PATCH 02/14] git-mergetool/difftool: make (g)vimdiff workable under Windows David Aguilar
2009-04-06  8:31     ` [PATCH 03/14] git-mergetool: add new merge tool TortoiseMerge David Aguilar
2009-04-06  8:31       ` [PATCH 04/14] difftool: remove merge options for opendiff, tkdiff, kdiff3 and xxdiff David Aguilar
2009-04-06  8:31         ` David Aguilar [this message]
2009-04-06  8:31           ` [PATCH 06/14] difftool: use perl built-ins when testing for msys David Aguilar
2009-04-06  8:31             ` [PATCH 07/14] difftool: add a -y shortcut for --no-prompt David Aguilar
2009-04-06  8:31               ` [PATCH 08/14] difftool/mergetool: add diffuse as merge and diff tool David Aguilar
2009-04-06  8:31                 ` [PATCH 09/14] difftool: move 'git-difftool' out of contrib David Aguilar
2009-04-06  8:31                   ` [PATCH 10/14] difftool: add various git-difftool tests David Aguilar
2009-04-06  8:31                     ` [PATCH 11/14] difftool: add support for a difftool.prompt config variable David Aguilar
2009-04-06  8:31                       ` [PATCH 12/14] bash completion: add git-difftool David Aguilar
2009-04-06  8:31                         ` [PATCH 13/14] mergetool: use $( ... ) instead of `backticks` David Aguilar
2009-04-06  8:31                           ` [PATCH 14/14] difftool/mergetool: refactor commands to use git-mergetool--lib David Aguilar
2009-04-06 23:42                   ` [PATCH 09/14] difftool: move 'git-difftool' out of contrib Markus Heidelberg
2009-04-06 22:17               ` [PATCH 07/14] difftool: add a -y shortcut for --no-prompt Markus Heidelberg

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1239006689-14695-6-git-send-email-davvid@gmail.com \
    --to=davvid@gmail.com \
    --cc=charles@hashpling.org \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=markus.heidelberg@web.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).